package eu.mhsl.minenet.minigames.instance.game.stateless.types.tetris.game;

import eu.mhsl.minenet.minigames.instance.game.stateless.StatelessGame;
import net.minestom.server.coordinate.Pos;

public class TetrisGame {
    private final StatelessGame instance;
    private final Playfield playfield;
    private int speed = 1;
    private int lines = 0;
    private Tetromino currentTetromino;
    private Tetromino nextTetromino;

    public TetrisGame(StatelessGame instance, Pos lowerLeftCorner) {
        this(instance, lowerLeftCorner, new Tetromino(Tetromino.Shape.J), new Tetromino(Tetromino.Shape.T));
    }

    public TetrisGame(StatelessGame instance, Pos lowerLeftCorner, Tetromino startTetromino, Tetromino nextTetromino) {
        this.playfield = new Playfield(lowerLeftCorner);
        this.currentTetromino = startTetromino;
        this.nextTetromino = nextTetromino;
        this.instance = instance;
    }

    public void generate() {
        this.playfield.generate(this.instance);
    }
}
